.\" $Id: strdb.man 13 2004-03-27 20:21:34Z amyzing $
.TH strdb 1 6/22/97 "strdb 0.5.0" "Strings DB Users' Manual"

.SH NAME

strdb \- The Strings Database Package

.SH SYNOPIS

.SS Core Utilities
.B idxstr
.br
.B keystr
.br
.B lsstr
.br
.B getstr
.br
.B getkey
.br
.B grepstr
.br
.B dumpstr
.br
.B edstr
.br
.B delstr
.br
.B cyclestr

.SS Included Sample Applications
.B rfcstr
.br
.B fortune
.br
.B sigstr
.br
.B ab

.SH DESCRIPTION

.SS Core Utilities

.TP 
.B idxstr
Creates an index file, possibly sorted on a certain field.
.TP
.B keystr
Creates a key file, based on the contents of a given field.
.TP
.B lsstr
Displays or returns information about a key or index file.
.TP
.B getstr
Returns a given record indexed by an index file.
.TP
.B getkey
Returns the indices of records containing a given key, as stored in a key
file.
.TP
.B grepstr
Searches (possibly using regex) for a given string in a given field of
records.
.TP
.B dumpstr
Dumps the records in a data file in the order of the pointers stored in the
index file.
.TP
.B edstr
Adds or edits a record in an indexed data file, optionally updating the
index.
.TP
.B delstr
Deletes a given record from a data file (optionally purging it).
.TP
.B cyclestr
An interactive maintenance utility for
.B strdb 
data files.

.SS Included Sample Applications

.TP
.B ab
A simple sample address book application.
.TP
.B fortune
The classic application, updated and enhanced, or hacked and destroyed (you
decide).
.TP
.B rfcstr
A database based on
.I rfc-index.txt
with enhanced search capabilities, especially reference threading.
.TP
.B sigstr
A simple random
.I .signature
file generator.

.SH OPTIONS

For a description of program options, see the man page for that program.

.SH FILES

.I /usr/local/bin/idxstr
.br
.I /usr/local/bin/keystr
.br
.I /usr/local/bin/lsstr
.br
.I /usr/local/bin/getstr
.br
.I /usr/local/bin/getkey
.br
.I /usr/local/bin/grepstr
.br
.I /usr/local/bin/dumpstr
.br
.I /usr/local/bin/edstr
.br
.I /usr/local/bin/delstr
.br
.I /usr/local/bin/cyclestr
.br
.I /usr/local/bin/ab
.br
.I /usr/local/bin/fortune
.br
.I /usr/local/bin/rfcstr
.br
.I /usr/local/bin/sigstr

.SH SEE ALSO

.BR idxstr "(1), " keystr "(1), " lsstr "(1), " getstr "(1), " getkey "(1), "
.BR dumpstr "(1), " grepstr "(1), " edstr "(1), " delstr "(1), "
.BR cyclestr "(1); " fortune "(1), " sigstr "(1), " rfcstr "(1), "
.BR ab "(1); " libstr "(3) "

.SH DIAGNOSTICS

The core utilities and sample applications return standard exit codes, which
insofar as possible are consistent across applications.  These codes are
defined in 
.IR errdb.h .

.SH BUGS

Every program has at least one bug and can be shortened by at least one
instruction \-\- from which, by induction, one can deduce that every
program can be reduced to one instruction which doesn't work.  

.SH AUTHOR

.RB "Amelia A. Lewis \- " strdb@talsever.com
